##start
##vertex

#version 150
#extension GL_ARB_explicit_attrib_location : enable


layout(location=0) in vec3 in_Position;

uniform mat4 modelMatrix;
uniform mat4 projview;


void main()
{

   gl_Position = projview *  /*modelMatrix**/vec4(in_Position,1) ;

}



##end


##start
##fragment

#version 150 core


void main(void)
{
    //depth is written implicitly
}


##end
